com.dlsc.flexgantt.swing.layer.system

## Enum LassoLayer.LassoMode

- java.lang.Object
- - java.lang.Enum<LassoLayer.LassoMode>
  - - com.dlsc.flexgantt.swing.layer.system.LassoLayer.LassoMode

- All Implemented Interfaces:
    Serializable, Comparable<LassoLayer.LassoMode>
  Enclosing class:
    LassoLayer

      public static enum LassoLayer.LassoMode
      extends Enum<LassoLayer.LassoMode>

  A selection mode enumerator that can be used to instruct the lasso layer what to select when a lasso operation finishes.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_TIMELINE_OBJECTS` A mode used to create timeline objects.
    `SELECT_TIME_SPANS` A mode used to select several time spans at once.
    `SELECT_TIMELINE_OBJECTS` A mode used to select several timeline objects at once.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LassoLayer.LassoMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LassoLayer.LassoMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT_TIMELINE_OBJECTS

          public static final LassoLayer.LassoMode SELECT_TIMELINE_OBJECTS

      A mode used to select several timeline objects at once. Any timeline object with a time span that intersects with the lasso when the lasso operation finishes will be selected.
      Since:
        1.0
      See Also:
        `ITimelineObjectSelectionModel`

    - #### CREATE_TIMELINE_OBJECTS

          public static final LassoLayer.LassoMode CREATE_TIMELINE_OBJECTS

      A mode used to create timeline objects.
      Since:
        1.0
      See Also:
        `IEditTimelineObjectPolicy.getCreateCommand(Object, IGanttChartModel, ILayer, ITimeSpan, int)`

    - #### SELECT_TIME_SPANS

          public static final LassoLayer.LassoMode SELECT_TIME_SPANS

      A mode used to select several time spans at once. Selected time spans will be added to the selection model of the layer container.
      Since:
        1.0
      See Also:
        `ILayerContainerSelectionModel`

  - ### Method Detail

    - #### values

          public static LassoLayer.LassoMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LassoLayer.LassoMode c : LassoLayer.LassoMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LassoLayer.LassoMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.